Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class GenericTypeMapping

    java.lang.Object
      weblogic.xml.schema.binding.internal.TypeMappingBase
          weblogic.webservice.encoding.GenericTypeMapping

All Implemented Interfaces:
  TypeMapping

Deprecated. please migrate to jws for webservices

    public class GenericTypeMapping

extends weblogic.xml.schema.binding.internal.TypeMappingBase

Generic data type mapping used to map any unknown data type (i.e., any other than the built-in) to a SOAPElement. This data type mapping can be used with a JAX-RPC dynamic client to invoke a Web Service without creating a serialization class for the non-built-in types used by the Web Service.

Constructor Summary
`GenericTypeMapping()` Deprecated. Constructs a generic type mapping.

Method Summary

Methods inherited from class weblogic.xml.schema.binding.internal.TypeMappingBase
`add, add, add, createXMLNameFromXMLType, dump, dump, dump2, get, get, getClassFromXMLName, getClassFromXMLType, getDeserializer, getEntries, getHolderClass, getParent, getSerializer, getSupportedEncodings, getSupportedNamespaces, getXMLNameFromClass, isRegistered, lookupEntry, readXML, readXML, register, remove, removeDeserializer, removeSerializer, replace, setParent, setSupportedEncodings, setSupportedNamespaces, toString, writeXML, writeXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericTypeMapping

    public GenericTypeMapping()

  Deprecated.
  Constructs a generic type mapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD